--[[============================================================================
-- Duplex.MCUPro_MixerMode
-- Inheritance: Application > MCUPro_MixerMode
============================================================================]]--

--[[--
The MCUPro_MixerMode application is only existing for initialization of MCU's LCD display.
It may content all specific code for the Mixer Mode (configuration) in the future.


### Changes
  
  0.01  
    - First release

--]]

--==============================================================================

class 'MCUPro_MixerMode' (Application)

MCUPro_MixerMode.default_options = {	}

MCUPro_MixerMode.available_mappings = { }
MCUPro_MixerMode.default_palette = { }

--------------------------------------------------------------------------------

function MCUPro_MixerMode:__init(...)
  TRACE("MCUPro_MixerMode:__init(",...)

  Application.__init(self,...)


--------------------------------------------------
--      start of rent demon's modifications 
--------------------------------------------------

  local device_name = "MCU Pro USB v3.1"
  local midi_device = nil
        midi_device = renoise.Midi.create_output_device(device_name)
        midi_device:send {0xF0,0x00,0x00,0x66,0x14,0x12,0x00,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x4D,0x43,0x55,0x20,0x50,0x72,0x6F,0x20,0x66,0x6F,0x72,0x20,0x72,0x65,0x6E,0x6F,0x69,0x73,0x65,0x2E,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x4D,0x69,0x78,0x65,0x72,0x20,0x4D,0x6F,0x64,0x65,0x20,0xF7}

local clock = os.clock
local t0 = clock()
  while clock() - t0 <= 1 do end
midi_device:close() 

--------------------------------------------------
--      end of rent demon's modifications 
--------------------------------------------------

end

--------------------------------------------------------------------------------

--- inherited from Application
-- @see Duplex.Application.start_app
-- @return bool or nil

function MCUPro_MixerMode:start_app()
  TRACE("MCUPro_MixerMode.start_app()")

  if not Application.start_app(self) then
    return
  end

  self:update()

end



--------------------------------------------------------------------------------


--------------------------------------------------------------------------------

-- Update

function MCUPro_MixerMode:update()
  TRACE("MCUPro_MixerMode:update()")

  end

--------------------------------------------------------------------------------



function MCUPro_MixerMode:_build_app()
  TRACE("MCUPro_MixerMode:_build_app()")

  

  -- the finishing touches --
  Application._build_app(self)
  return true

end

--------------------------------------------------------------------------------
